Name:          axis2
Version:       1.6.1
Release:       17%{?dist}
Summary:       Java-based Web Services / SOAP / WSDL engine
License:       ASL 2.0
URL:           http://axis.apache.org/axis2/java/core/
Source0:       http://mirror.metrocast.net/apache//axis/axis2/java/core/1.6.1/axis2-1.6.1-src.zip
# wrap generated headers with ifndef/define/endif
Patch0:        %{name}-AXIS2-5349.patch

BuildArch:     noarch
BuildRequires: maven-local
BuildRequires: maven-shared
BuildRequires: maven-clean-plugin
BuildRequires: maven-dependency-plugin
BuildRequires: geronimo-jta
BuildRequires: geronimo-saaj
BuildRequires: geronimo-parent-poms
BuildRequires: XmlSchema
BuildRequires: apache-commons-logging
BuildRequires: axiom
BuildRequires: neethi
BuildRequires: jsr-311
BuildRequires: woden
BuildRequires: javamail
BuildRequires: dos2unix
BuildRequires: maven-remote-resources-plugin
BuildRequires: apache-commons-fileupload
BuildRequires: glassfish-servlet-api
BuildRequires: geronimo-saaj
BuildRequires: maven-plugin-build-helper
BuildRequires: maven-antrun-plugin

Requires:      log4j12
Requires:      xerces-j2
Requires:      javamail
Requires:      glassfish-servlet-api

%description
Apache Axis2 is a Web Services / SOAP / WSDL engine, the successor
to the widely used Apache Axis SOAP stack. There are two
implementations of the Apache Axis2 Web services engine - Apache 
Axis2/Java and Apache Axis2/C.  This is Axis2/Java.

%package javadoc
Summary:      API documentation for %{name}

%description javadoc
API documentation for %{name}.

%prep
%setup -q -n %{name}-%{version}

# Disable modules whose dependencies are not in Fedora.
%pom_disable_module modules/addressing
%pom_disable_module modules/fastinfoset
%pom_disable_module modules/integration
%pom_disable_module modules/jibx
%pom_disable_module modules/json
%pom_disable_module modules/mex
%pom_disable_module modules/mtompolicy
%pom_disable_module modules/mtompolicy-mar
%pom_disable_module modules/ping
%pom_disable_module modules/samples/version
%pom_disable_module modules/soapmonitor/servlet
%pom_disable_module modules/soapmonitor/module
%pom_disable_module modules/spring
%pom_disable_module modules/testutils
%pom_disable_module modules/tool/axis2-aar-maven-plugin
%pom_disable_module modules/tool/axis2-ant-plugin
%pom_disable_module modules/tool/axis2-eclipse-codegen-plugin
%pom_disable_module modules/tool/axis2-eclipse-service-plugin
%pom_disable_module modules/tool/axis2-idea-plugin
%pom_disable_module modules/tool/axis2-java2wsdl-maven-plugin
%pom_disable_module modules/tool/axis2-mar-maven-plugin
%pom_disable_module modules/tool/axis2-repo-maven-plugin
%pom_disable_module modules/tool/axis2-wsdl2code-maven-plugin
%pom_disable_module modules/webapp
%pom_disable_module modules/xmlbeans
%pom_disable_module modules/scripting
%pom_disable_module modules/jaxbri
%pom_disable_module modules/metadata
%pom_disable_module modules/jaxws
%pom_disable_module modules/jaxws-mar
%pom_disable_module modules/jaxws-integration
%pom_disable_module modules/clustering
%pom_disable_module modules/corba
%pom_disable_module modules/osgi
#%% pom_disable_module modules/transport/local
#%% pom_disable_module modules/transport/http
#%% pom_disable_module modules/java2wsdl

# Remove non standard apidocs final subdir
%pom_xpath_remove "pom:project/pom:build/pom:pluginManagement/pom:plugins/pom:plugin[pom:artifactId = 'maven-javadoc-plugin' ]/pom:configuration/pom:destDir"

# 1) Remove JSR deps which are now built into openjdk
# 2) Fix javamail dep
# 3) Remove gmaven code
%pom_remove_dep :geronimo-activation_1.1_spec modules/adb
%pom_remove_dep :geronimo-javamail_1.4_spec modules/java2wsdl
%pom_add_dep javax.mail:mail modules/java2wsdl
%pom_remove_plugin :gmaven-plugin modules/java2wsdl
%pom_remove_dep :geronimo-ws-metadata_2.0_spec modules/kernel

%patch0 -p0

%pom_xpath_set "pom:properties/pom:servlet.api.version" 3.1.0 modules/parent
%pom_xpath_set "pom:dependencies/pom:dependency[pom:groupId = 'javax.servlet']/pom:artifactId" javax.servlet-api modules/parent modules/kernel
%pom_xpath_inject "pom:dependencies/pom:dependency[pom:groupId = 'javax.servlet']" "<version>1.6.2</version>" modules/kernel

# reference to Parameter is ambiguous both class java.lang.reflect.Parameter in
# java.lang.reflect and class org.apache.axis2.description.Parameter in org.apache.axis2.description match
sed -i "s|Parameter sortAtt|org.apache.axis2.description.Parameter sortAtt|" \
 modules/kernel/src/org/apache/axis2/description/java2wsdl/DefaultSchemaGenerator.java
sed -i "s|Parameter generateWrappedArrayTypes|org.apache.axis2.description.Parameter generateWrappedArrayTypes|" \
 modules/kernel/src/org/apache/axis2/description/java2wsdl/DefaultSchemaGenerator.java
sed -i "s|Parameter extraClassesParam|org.apache.axis2.description.Parameter extraClassesParam|" \
 modules/kernel/src/org/apache/axis2/description/java2wsdl/DefaultSchemaGenerator.java

%build
# Tests currently use an auto-generated ant build xml file which
# fails due to incorrect setting of JAVA_HOME (to JRE instead of JDK home)
# I have not yet determined the fix for this.
%mvn_build -f -- -Dproject.build.sourceEncoding=UTF-8
dos2unix NOTICE.txt

%install
%mvn_install

%files -f .mfiles
%doc README.txt release-notes.html
%license LICENSE.txt NOTICE.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt NOTICE.txt

%changelog
* Tue Jun 21 2016 gil cattaneo <puntogil@libero.it> 1.6.1-17
- add missing build requires

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.1-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.1-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Feb 28 2015 gil cattaneo <puntogil@libero.it> 1.6.1-14
- use servlet api 3.1

* Thu Jan 29 2015 gil cattaneo <puntogil@libero.it> 1.6.1-13
- introduce license macro

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.1-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Jun 05 2014 gil cattaneo <puntogil@libero.it> 1.6.1-11
- fix javax.servlet apis

* Wed Oct 23 2013 Mikolaj Izdebski <mizdebsk@redhat.com> - 1.6.1-10
- Rebuild to regenerate broken POMs
- Related: rhbz#1021484

* Thu Sep 05 2013 gil cattaneo <puntogil@libero.it> 1.6.1-9
- fix rhbz#992009
- update to current packaging guidelines
- use pom macros

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Feb 25 2013 Andy Grimm <agrimm@gmail.com> - 1.6.1-7
- Add more explicit BuildRequires (RHBZ#913893)

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Feb 06 2013 Java SIG <java-devel@lists.fedoraproject.org> - 1.6.1-5
- Update for https://fedoraproject.org/wiki/Fedora_19_Maven_Rebuild
- Replace maven BuildRequires with maven-local

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Jun 20 2012 Andy Grimm <agrimm@gmail.com> - 1.6.1-3
- Fix a bug with generated headers (AXIS2-5349)

* Mon Mar 12 2012 Andy Grimm <agrimm@gmail.com> - 1.6.1-2
- change tomcat6 requirement to tomcat 7

* Wed Feb 22 2012 Andy Grimm <agrimm@gmail.com> - 1.6.1-1
- Initial package
